tigase.jaxmpp.core.client.xmpp.modules.extensions

## Interface Extension

- All Known Implementing Classes:
    ChatStateExtension, MessageArchiveManagementModule, MessageDeliveryReceiptsExtension, OmemoExtension, PEPExtension

      public interface Extension

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `afterReceive(Element received)`
    `Element` | `beforeSend(Element received)`
    `String[]` | `getFeatures()`

- - ### Method Detail

    - #### afterReceive

          Element afterReceive(Element received)
                        throws JaxmppException

      Throws:
        `JaxmppException`

    - #### beforeSend

          Element beforeSend(Element received)
                      throws JaxmppException

      Throws:
        `JaxmppException`

    - #### getFeatures

          String[] getFeatures()

Copyright © 2006–2020 Tigase. All rights reserved.